Ordinal Transaction
This endpoint returns detailed info on Ordinal assets (BTC, inscriptions, runes) for each input and output of a transaction.
It is mempool-aware and includes unconfirmed BTC, inscriptions & runes data for mempool transactions
get
Retrieve historic ordinal info (inputs and outputs) for a specific tx. It is mempool aware. isOrdinalsIndexed determines if ordinals data is available
Authorizations
x-api-keystringRequired
Path parameters
txidstring · regexRequiredExample:
Transaction id
6c5ffa32f6942bb82bf36239fb8a6d233c4da6f91bde81869accef2ef6be674ePattern: ^[a-fA-F0-9]{64}$Responses
200
Default Response
application/json
confirmationsnumberRequired
blockHeightnumberOptional
isOrdinalsIndexedbooleanRequired
400
Invalid input
application/json
401
Unauthorized
application/json
404
Not found
application/json
429
Rate limit exceeded
application/json
500
Internal server error
application/json
get/v1/ordinals/tx/{txid}
GET /v1/ordinals/tx/{txid} HTTP/1.1
Host: api.secretkeylabs.io
x-api-key: YOUR_API_KEY
Accept: */*
{
"confirmations": 1,
"blockHeight": 1,
"isOrdinalsIndexed": true,
"inputs": [
{
"vin": 1,
"prevTxid": "text",
"prevVout": 1,
"value": 1,
"address": "text",
"isCoinbase": true,
"runes": [
{
"runeId": "text",
"amount": "text",
"divisibility": 1
}
],
"inscriptions": [
{
"id": "text",
"contentType": "text",
"offset": 1
}
]
}
],
"outputs": [
{
"vout": 1,
"value": 1,
"address": "text",
"script": "text",
"runes": [
{
"runeId": "text",
"runeName": "text",
"amount": "text",
"divisibility": 1
}
],
"inscriptions": [
{
"id": "text",
"contentType": "text",
"offset": 1
}
]
}
],
"runeEvents": {
"etch": {
"runeId": "text",
"runeName": "text",
"divisibility": 1,
"symbol": "text",
"premine": "text",
"turbo": true,
"terms": {
"amount": "text",
"cap": "text",
"heightLow": "text",
"heightHigh": "text",
"offsetLow": "text",
"offsetHigh": "text"
},
"inscriptionId": "text"
},
"mint": {
"runeId": "text",
"runeName": "text",
"amount": "text"
}
}
}Last updated